//---------------------------------------------------------------------------
#ifndef TutorialH
#define TutorialH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <windows.h>
#include <gl/gl.h> 
#include <gl/glu.h>
#include <gl/glut.h>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall FormDestroy(TObject *Sender);
        void __fastcall FormResize(TObject *Sender);
        void __fastcall FormKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
private:	// User declarations
    HDC hdc;
    HGLRC hrc;
    int PixelFormat;

    void __fastcall SetupRC();

public:		// User declarations
    __fastcall TForm1(TComponent* Owner);
    void __fastcall IdleLoop(TObject*, bool&);
    void __fastcall RenderGLScene();
    void __fastcall SetPixelFormatDescriptor();};

    GLfloat xrot;
    GLfloat yrot;
    GLfloat zrot;
    GLuint texture[1];
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
